For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Company Permissions
              • POSTCreate Company Permission
              • PUTUpdate Company Permission
              • DELDelete Company Permission
              • GETList Company Roles
              • POSTCreate Company Role
              • GETGet Company Role Details
              • PUTUpdate Company Role
              • DELDelete Company Role
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompany Roles and Permissions

Create Company Permission

POST
https://api-b2b.bigcommerce.com/api/v3/io/companies/permissions
POST
/api/v3/io/companies/permissions
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/companies/permissions \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Get addresses",
> "description": "Get addresses",
> "code": "get_addresses",
> "moduleName": "address"
>}'
200Create a company permission
1{
2 "code": 200,
3 "data": {
4 "name": "Get addresses",
5 "description": "Get addresses",
6 "code": "get_addresses",
7 "moduleName": "address",
8 "id": 1,
9 "isCustom": false
10 },
11 "meta": {
12 "message": "SUCCESS"
13 }
14}

Create a custom Company permission.

Note that the permission’s name and code values cannot match an existing permission.

Was this page helpful?
Previous

List Company Permissions

Next

Update Company Permission

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Request

This endpoint expects an object.
namestringRequired<=200 characters
The name of the Company permission.
descriptionstringRequired<=512 characters

The simple description for the Company permission. See Permission Codes for a more detailed description of each predefined Company permission.

codestringRequired<=50 characters

The code string of the Company permission.

moduleNamestringOptional<=50 characters
The name of the module to which the permission belongs. This corresponds to the organizational section containing the permission when managing Company roles from the B2B Edition control panel.

Response

OK
codeintegerDefaults to 200
dataobject
metaobject
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.